import React, {Component, PropTypes} from 'react';
import classNames from 'classnames';
import META from 'src/utils/Meta';

export default class Button extends Component {
  static propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
  };

  static defaultProps = {
    children: 'Click Here',
    type: 'button'
  };

  static _meta = {
    library: META.library.semanticUI,
    name: 'Button',
    type: META.type.element,
  };

  render() {
    const classes = classNames(
      'sd-button',
      'ui',
      this.props.className,
      'button'
    );
    return (
      <button {...this.props} className={classes}>
        {this.props.children}
      </button>
    );
  }
}
